# Outline

Outline : `OverlayBase`

## Overview

BasePart의 외곽선에 색상을 표시할 수 있는 인스턴스입니다.

Tickness 속성을 통해 두께를 조절할 수 있습니다. 물체가 멀리 있을 때 강조하기 위해 사용할 수 있습니다. Outline을 통해 그려지는 물체의 외곽선은 다른 물체에 가려질 수 있습니다.

## Properties

### Color

`Color3`

외곽선에 표시할 색상입니다.

#### Code Samples

```lua
local Outline = script.Parent

Outline.Color = Color3.fromRGB(255, 0, 0)
```

### Thickness

`number`

외곽선의 두께입니다.

#### Code Samples

```lua
local Outline = script.Parent

Outline.Thickness = 10
```

## Methods

## Events

## See also

{% content-ref url="/pages/jN1xHUc2DR9TFmM5zMru" %}
[Outline/Fill](/korean/manual/studio-manual/object/outline-fill.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.overdare.com/korean/development/api-reference/classes/outline.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
